homepage/urls.py
from django.urls import path
from . import views

app_name = 'homepage'

urlpatterns = [
    path('', views.index, name='index'),
    path('home/', views.home, name='home'),
    path('about/', views.about, name='about'),
    path('favorite/', views.favorite, name='favorite'),
    path('experience/', views.experience, name='experience'),
    path('contact/', views.contact, name='contact'),
]

morepage/urls.py
from django.urls import path
from . import views

app_name = 'morepage'

urlpatterns = [
    path('', views.story1, name='story1'),
]

schedule/urls.py
from django.contrib import admin
from django.urls import path
from . import views
from .views import *

app_name = 'schedule'

urlpatterns = [
    path('schedule/', views.schedule_list, name='schedule' ),
    path('form-schedule/', views.form_schedule, name='form_schedule' ),
    path('detail-schedule/<int:id>', views.schedule_detail, name='detail_schedule'),
    path('remove-schedule/<int:id>', views.remove_schedule, name="remove_schedule"),
]

story/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
    path('story1/', include('morepage.urls')),
    path('', include('schedule.urls')),
    path('', include('story6.urls')),
]

story6/urls.py
from django.urls import path

from . import views

app_name = 'story6'

urlpatterns = [
    path('activity/', views.activity, name='activity'),
    path('delete/<str:pk>', views.delete, name='activityDelete'),
    path('delete/member/<str:pk>', views.deleteMember, name='memberDelete')
]

homepage/models.py
from django.db import models

# Create your models here.

morepage/models.py
from django.db import models

# Create your models here.

schedule/models.py
from django.db import models

# Create your models here.

class Schedule(models.Model) :
    matkul = models.CharField(max_length=50,default='SOME STRING')
    dosen = models.CharField(max_length=40, default='SOME STRING')
    sks = models.IntegerField(default=1)
    deskripsi = models.TextField(max_length=100, default='SOME STRING')
    ruang = models.CharField(max_length=40,default='SOME STRING')

    GANJIL1 = "Ganjil 2019/2020"
    GENAP1 = "Genap 2019/2020"
    GANJIL2 = "Ganjil 2020/2021"
    GENAP2 = "Genap 2020/2021"
    tahunAjaran = [(GENAP1, 'Genap 2019/2020'), (GANJIL1, 'Ganjil 2019/2020'), 
        (GANJIL2, 'Ganjil 2020/2021'), (GENAP2, 'Genap 2020/2021')]
    tahun = models.CharField(max_length=16, choices=tahunAjaran, default="GENAP1")

story6/models.py
from django.db import models

# Create your models here.

class Activity(models.Model):
    activity = models.CharField(max_length=100)
    def __str__(self):
        return self.activity

class Member(models.Model):
    member = models.CharField(max_length=100)
    aktivitas = models.ForeignKey(Activity, on_delete=models.CASCADE)
    def __str__(self):
        return self.member

schedule/forms.py
from django import forms
# from .models import Schedule

class ScheduleForm(forms.Form) :
    matkul = forms.CharField(label="Mata Kuliah", max_length=50)
    dosen = forms.CharField(label="Nama Dosen", max_length=40)
    sks = forms.IntegerField(label="Jumlah SKS")
    deskripsi = forms.CharField(label="Deskripsi", max_length=100)
    ruang = forms.CharField(label="Ruang Kelas", max_length=40)

    GANJIL1 = "Ganjil 2019/2020"
    GENAP1 = "Genap 2019/2020"
    GANJIL2 = "Ganjil 2020/2021"
    GENAP2 = "Genap 2020/2021"
    tahunAjaran = [(GENAP1, 'Genap 2019/2020'), (GANJIL1, 'Ganjil 2019/2020'), 
        (GANJIL2, 'Ganjil 2020/2021'), (GENAP2, 'Genap 2020/2021')]
    tahun = forms.ChoiceField(choices=tahunAjaran, label="Semester")

story6/forms.py
from django import forms
from .models import Activity, Member

class ActivityForm(forms.ModelForm):
    class Meta:
        model = Activity
        fields = '__all__'
        widgets = {
            'activity' : forms.TextInput(attrs={
                'class': 'form-control',
                'placeholder': "Insert activity"}),
        }

class MemberForm(forms.ModelForm):
    class Meta:
        model = Member
        fields = '__all__'
        widgets = {
            'member' : forms.TextInput(attrs={
                'class': 'form-control',
                'placeholder': "Insert name"}),
        }

homepage/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    return render(request, 'home.html')

def home(request):
    return render(request, 'home.html')

def about(request):
    return render(request, 'about.html')

def favorite(request):
    return render(request, 'favorite.html')

def experience(request):
    return render(request, 'experience.html')

def contact(request):
    return render(request, 'contact.html')

morepage/views.py
from django.shortcuts import render

def story1(request):
    return render(request, 'story1.html')

schedule/views.py
from django.shortcuts import render, redirect
from .models import Schedule
from .forms import ScheduleForm
# import datetime

# Create your views here.
def schedule_list(request, *args, **kwargs):
    sched_form = ScheduleForm(Schedule)
    schedules = Schedule.objects.all()

    context = {
        'form' : sched_form,
        'schedules' : schedules
    }
    return render(request, 'schedule.html', context)  

def schedule_detail(request, id):
    schedule = Schedule.objects.get(id=id)
    context = {
        'schedule': schedule
    }
    return render(request, 'schedule_detail.html', context)

def form_schedule(request):
    sched_form = ScheduleForm()

    if request.method == 'POST':
        sched_form = ScheduleForm(request.POST)
        if sched_form.is_valid():
            Schedule.objects.create(**sched_form.cleaned_data)
            return redirect('schedule:schedule')

    context = {
        'form' : sched_form,
    }
    return render(request, "form_schedule.html", context)  

def remove_schedule(request, id, *args, **kwargs):
    Schedule.objects.filter(id=id).delete()

    return redirect('schedule:schedule')

story6/views.py
from django.shortcuts import render, redirect
from .models import Member, Activity
from .forms import MemberForm, ActivityForm
from django.contrib import messages

def activity(request):
    if request.method == "POST":
        formA = ActivityForm(request.POST)
        formB = MemberForm(request.POST)
        if formA.is_valid():
            formA.save()
            messages.success(request, (f"Kegiatan {request.POST['activity']} berhasil ditambahkan!"))
            return redirect('story6:activity')
        elif formB.is_valid():
            formB.save()
            messages.success(request, (f"{request.POST['member']} berhasil bergabung!"))
            return redirect('story6:activity')
        else:
            messages.warning(request, (f"Input tidak sesuai!"))
            return redirect('story6:activity')
    else:
        formA = ActivityForm()
        formB = MemberForm()
        activities = Activity.objects.all()
        members = Member.objects.all()
        context = {
            'formA' : formA,
            'formB' : formB,
            'activities' : activities,
            'members' : members
        }
        return render(request, 'index.html', context)

def delete(request,pk):
    activity = Activity.objects.get(id=pk)
    activity.delete()
    messages.warning(request, (f"Kegiatan {activity} berhasil dihapus!"))
    return redirect('story6:activity')

def deleteMember(request,pk):
    member = Member.objects.get(id=pk)
    member.delete()
    messages.warning(request, (f"{member} berhasil dihapus!"))
    return redirect('story6:activity')

homepage/templates/about.html
{% extends 'base.html'%}

{% block content %}

  <div class="container">
  <div class ="row">
      <div class="col-lg-6">
          <div class="foto2"></div>
      </div>
      <div class="col-lg-6">                    
          <div class="title">About Me</div>
          <div class="content">
              <p>Saya seorang mahasiswa Sistem Informasi UI angkatan 2019. Saya tertarik pada perkembangan teknologi. 
                  Saya dikenal sebagai orang yang gigih, tekun, tepat waktu dalam mengerjakan tugas, dan penyabar.</p>
              <a class="btn btn-info" href="{% url 'homepage:experience' %}" role="button">See More</a>
          </div>
      </div>
  </div>
  </div>

{% endblock %}

homepage/templates/base.html
<!DOCTYPE html>
{% load static %}

<html lang="en">

    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">  
        <!-- <meta http-equiv="X-UA-Compatible" content="ie=edge"> -->
        
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" 
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
        <script src="https://kit.fontawesome.com/23f8f48322.js" crossorigin="anonymous"></script>
        <title>Dinar Sulistyorini</title>
    </head>

    <body>
        <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
            <div class="container">
            <a class="navbar-brand text-white">DINAR</a>
            <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
              <ul class="navbar-nav ml-auto">
                <li class="nav-item active">
                  <a class="nav-link js-scroll-trigger text-white" href=" {% url 'homepage:home' %}">Home<span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link js-scroll-trigger text-white" href="{% url 'homepage:about' %}">About</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link js-scroll-trigger text-white" href="{% url 'homepage:favorite' %}">Favorite</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link js-scroll-trigger text-white" href="{% url 'schedule:schedule' %}">Schedule</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link js-scroll-trigger text-white" href="{% url 'story6:activity' %}">Activity</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link js-scroll-trigger text-white" href="{% url 'homepage:contact' %}">Contact</a>
                </li>
              </ul>
            </div>
            </div>
        </nav>

        {% block content %}
        {% endblock %}

    <!-- Optional JavaScript -->
            <!-- jQuery first, then Popper.js, then Bootstrap JS -->
            <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
            <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  
    </body>

</html>

homepage/templates/contact.html
{% extends 'base.html'%}

{% block content %}       
        <div class="bg-socmed"></div>
        <div class="socialmedia">
            <div class="title" id ="contact">Contact</div>
            <div class ="link-socmed">
                <ul>
                    <a href="https://instagram.com/dinarstyrn?igshid=1natnzahacwfv">
                        <li><i class="fab fa-instagram text-white"></i></li></a>
                    <a href="http://line.me/ti/p/~dinars191">
                        <li><i class="fab fa-line text-white"></i></li></a>
                    <a href="https://www.linkedin.com/in/dinar-sulistyorini-8644b1194/">
                        <li><i class="fab fa-linkedin-in text-white"></i></li></a>
                    <a href="mailto:dinarsulis.191@gmail.com">
                        <li><i class="fas fa-envelope text-white"></i></li></a>
                </ul>
            </div>
        </div>

{% endblock %}

homepage/templates/experience.html
{% extends 'base.html'%}

{% block content %}

    <div class = "Education">
    <div class="title" id ="edu">Educational Background</div>
    <div class="content-see-more">
        <ul>
            <li id = "instansi">Universitas Indonesia</li>
                <li id="keterangan">S1 Sistem Informasi • 2019 - Sekarang</li>
            <li id = "instansi">SMAN 1 Tambun Selatan</li>
                <li id="keterangan">Matematika dan Ilmu Alam (MIA) • 2016 - 2019</li>
            <li id = "instansi">SMPN 1 Tambun Selatan</li>
                <li id="keterangan">2013 - 2016</li>
            <li id = "instansi">SD Jaya Suti Abadi</li>
                <li id="keterangan">2007 - 2013</li> 
        </ul>
    </div>
    </div>

    <div class = "Experience">
    <div class="title" id = "edu">Experience</div>
    <div class = "content-see-more">
        <ul>
            <li id = "instansi">BEM FASILKOM UI</li>
                <li id="keterangan">Staf Departemen Akademis dan Kepemimpinan • 2020 - Sekarang</li>
            <li id = "instansi">BETIS FASILKOM 2020</li>
                <li id="keterangan">Staf Divisi Mentor • 2020</li>
            <li id = "instansi">PMB Fasilkom UI 2020</li>
                <li id="keterangan">Staf Divisi Mentor • 2020</li>
            <li id = "instansi">SIWAKNG 2020</li>
                <li id="keterangan">Staf Divisi Akomodasi • 2020</li> 
        </ul>
    </div>
    </div>

{% endblock %}

homepage/templates/favorite.html
{% extends 'base.html'%}

{% block content %}

  <div class="container">
      <div class ="row">
          <div class="col-lg-4">
              <div class="card" style="width: 18rem;">
                  <img class="card-img-top" src="/static/images/pedas.jpg" alt="Card image cap">
                  <div class="card-body">
                    <h5 class="card-title"><b>Favorite Food</b></h5>
                    <li class="list-group" id = "card-text">Spicy Food</li>
                  </div>
              </div>
          </div>

          <div class="col-lg-4">
              <div class="card" style="width: 18rem;">
                  <img class="card-img-top" src="/static/images/nessie.png" alt="Card image cap">
                  <div class="card-body">
                    <h5 class="card-title"><b>Youtube Channel</b></h5>
                    <li class="list-group" id = "card-text">Nessie Judge</li>
                  </div>
              </div>
          </div>

          <div class="col-lg-4">                    
              <div class="card" style="width: 18rem;">
                  <img class="card-img-top" src="/static/images/avengers.jpg" alt="Card image cap">
                  <div class="card-body">
                    <h5 class="card-title"><b>Favorite Movie</b></h5>
                    <li class="list-group" id = "card-text">Avengers Movie</li>
                  </div>
              </div>
          </div>
      </div>
      </div>
        
{% endblock %}

homepage/templates/home.html
{% extends 'base.html'%}

{% block content %}

  <div class="jumbotron">
      <div class="container">
      <h1 class="display-4" id="hello">Hello, I'm</h1>
      <h1 class="display-4" id="nama">Dinar Sulistyorini,</h1>
      <p id = "UI">an Undergraduate Student of Information <br>
          System at <b>University of Indonesia</b></p>
      <p class="lead">
        <a class="btn btn-primary btn-lg" href="{% url 'homepage:about' %}" role="button">Learn more</a>
      </p>
      </div>
  </div>

{% endblock %}

morepage/templates/story1.html
<!DOCTYPE html>
{% load static %}

<html lang="en">

    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">  
        <title>Dinar Sulistyorini</title>
        <link rel="stylesheet" type="text/css" href="{% static 'style1.css' %}">
    </head>
    <body>
        <div class="main">
            <div class="img"></div>

            <h1> Dinar Sulistyorini</h1><br>
            <div class="text">
                Information System Student
            </div>
            <p> Saya seorang mahasiswa Sistem Informasi UI angkatan 2019
            <br>dengan NPM 1906298840. 
            <br>Asal SMA saya yaitu SMAN 1 Tambun Selatan
            <br>Saya tertarik pada perkembangan teknologi. 
            <br>Saya sangat senang menonton film bertemakan detektif atau kriminal. 
            <br>Saya dikenal sebagai orang yang gigih, tekun, tepat waktu dalam mengerjakan tugas, dan penyabar.
            </p>
        </div>

        
        <ul>
        <div class="socialmedia">
            <a href="https://instagram.com/dinarstyrn?igshid=1natnzahacwfv">
                <li>Instagram</li>
            </a>
            <a href="http://line.me/ti/p/~dinars191">
                <li>Line</li>
            </a>
            <a href="https://wa.me/6282123939981">
                <li>Whatsapp</li>
            </a>
        </div>
        </ul>
    </body>

</html>

schedule/templates/base1.html
<!DOCTYPE html>
{% load static %}

<html lang="en">

    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no, user-scalable=no">
  
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" 
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <link rel="stylesheet" type="text/css" href="{% static 'schedule.css' %}"/>
        <script src="https://kit.fontawesome.com/23f8f48322.js" crossorigin="anonymous"></script>
        <title>Dinar Sulistyorini</title>
    </head>

    <body>
        <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
            <div class="container">
            <a class="navbar-brand text-white">DINAR</a>
            <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
              <ul class="navbar-nav ml-auto">
                <li class="nav-item active">
                  <a class="nav-link js-scroll-trigger text-white" href=" {% url 'homepage:home' %}">Home<span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link js-scroll-trigger text-white" href="{% url 'homepage:about' %}">About</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link js-scroll-trigger text-white" href="{% url 'homepage:favorite' %}">Favorite</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link js-scroll-trigger text-white" href="{% url 'schedule:schedule' %}">Schedule</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link js-scroll-trigger text-white" href="{% url 'story6:activity' %}">Activity</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link js-scroll-trigger text-white" href="{% url 'homepage:contact' %}">Contact</a>
                </li>
              </ul>
            </div>
            </div>
        </nav>

        {% block content %}
        {% endblock %}

    <!-- Optional JavaScript -->
            <!-- jQuery first, then Popper.js, then Bootstrap JS -->
            <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
            <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  
    </body>

</html>

schedule/templates/form_schedule.html
{% extends "base1.html" %}

{% block content %}

<div class="scheduleform"> 
        <a href="{% url 'schedule:schedule' %}"><p class="mt-3 back"> << back </p></a>
        <form method="POST">
            {% csrf_token %}
            <table>
            {{ form.as_table }}
            </table>
            <input type="submit" class="button-submit mx-auto btn-info" value="SUBMIT">
        </form>
</div>

{% endblock content %}

schedule/templates/schedule.html
{% extends "base1.html" %}

{% block content %}

<div class="schedulepage">
    <div class="button-add">
        <a class="btn btn-info" href="{% url 'schedule:form_schedule' %}" role="button">Add New Class</a>
    </div>

    <div class="container">
    {% for schedule in schedules %}
    <div class="card mb-4 mx-5" id = "list-schedule">
        <div class="card-body">
            <h5 class="card-title">{{ schedule.matkul }}</h5>
            <h6 class="card-subtitle mb-2 text-muted">{{schedule.tahun}}</h6>
            <a href="{% url 'schedule:detail_schedule' id=schedule.id %}" class="card-link">Detail</a>
            <a href="{% url 'schedule:remove_schedule' id=schedule.id %}" class="card-link">Remove</a>
        </div>
    </div>
    {% endfor %} 
    </div>

    </div>

</div>

{% endblock content %}

schedule/templates/schedule_detail.html
{% extends "base1.html" %}

{% block content %}

<div class="detail">
    <div class="container my-auto">
            <a href="{% url 'schedule:schedule' %}"><p class="mt-3 back"> << back </p></a>
            <h1 class="display-4">{{ schedule.matkul }}</h1>
            <p class="lead">{{ schedule.dosen }} </p>
            <p class="lead">{{ schedule.ruang }} </p>
            <p class="lead">{{ schedule.sks }} SKS</p>
            <p class="lead">{{ schedule.tahun }} </p>
            <hr class="my-4">
            <p> {{schedule.deskripsi}} </p>
    </div>
</div>

{% endblock content %}

story6/templates/base2.html
<!DOCTYPE html>
{% load static %}

<html lang="en">

    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no, user-scalable=no">
  
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" 
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <link rel="stylesheet" type="text/css" href="{% static 'activity.css' %}"/>
        <script src="https://kit.fontawesome.com/23f8f48322.js" crossorigin="anonymous"></script>
        <title>Dinar Sulistyorini</title>
    </head>

    <body>
        <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
            <div class="container">
            <a class="navbar-brand text-white">DINAR</a>
            <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
              <ul class="navbar-nav ml-auto">
                <li class="nav-item active">
                  <a class="nav-link js-scroll-trigger text-white" href=" {% url 'homepage:home' %}">Home<span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link js-scroll-trigger text-white" href="{% url 'homepage:about' %}">About</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link js-scroll-trigger text-white" href="{% url 'homepage:favorite' %}">Favorite</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link js-scroll-trigger text-white" href="{% url 'schedule:schedule' %}">Schedule</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link js-scroll-trigger text-white" href="{% url 'story6:activity' %}">Activity</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link js-scroll-trigger text-white" href="{% url 'homepage:contact' %}">Contact</a>
                </li>
              </ul>
            </div>
            </div>
        </nav>

        {% block content %}
        {% endblock %}

    <!-- Optional JavaScript -->
            <!-- jQuery first, then Popper.js, then Bootstrap JS -->
            <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
            <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  
    </body>

</html>

story6/templates/index.html
{% extends 'base2.html' %}
{% block content %}

<div class="container py-4">
    <h1 class="display-4 text-center pb-4 border-bottom">My Activity</h1>
    <Form method="POST" class="row my-5">
        {% csrf_token %}
        <div class="col-7 ml-auto">
            {{ formA.activity }}
        </div>
        <button type="submit" class="btn btn-info col-2 mr-auto">Add</button>
    </Form>
    <hr>
    {% if messages %}
    {% for message in messages %}
    <div class="alert alert-{{ message.tags }} alert-dismissible fade show mt-4" role="alert">
        {{ message }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    {% endfor %}
    {% endif %}
    <div class="d-flex justify-content-around flex-wrap pb-4">
        {% for activity in activities %}
        <div class="card bg-light mt-5" style="width: 18rem;">
            <div class="card-header">
                <div class="row">
                    <h5 class="col-10 mb-2">{{ activity }}</h5>
                    <a href="{% url 'story6:activityDelete' activity.id %}" class="col-2">
                        <button type="button" class="close mb-2">&times;</button>
                    </a>
                </div>
            </div>
            <div class="card-body">
                <h6 class="card-title">Members:</h6>
                <p></p>
                <ul>

                    {% for member in members %}
                    {% if member.aktivitas.id == activity.id %}
                    <li class="row">
                        <h5 class="col-10">{{ member }}</h5>
                        <a href="{% url 'story6:memberDelete' member.id %}" class="col-2">
                            <button type="button" class="close">&times;</button>
                        </a>    
                    </li>
                    {% endif %}
                    {% endfor %}

                </ul>
                <form method="POST">
                    {% csrf_token %}
                    {{ formB.member }}
                    <input name="aktivitas" type="text" value="{{ activity.id }}" style="display: none;">
                    <button type="submit" class="btn btn-info col-6 mt-2">Join</button>
                </form>
            </div>
        </div>
        {% endfor %}
    </div>
</div>

{% endblock content %}